package com.jiayue.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ssi.entity.ElectricField;
import com.jiayue.ssi.entity.ForecastPowerShortTerm;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* 短期接口
* @author xsl
* @date 2023/2/16
*/
public interface ForecastPowerShortTermService extends IService<ForecastPowerShortTerm> {
    /**
     * 按时间段删除数据
     *
     * @param startTime
     * @param endTime
     * @param listDq
     */
    void deleteBetweenAndGenTime(Long startTime, Long endTime, List<ForecastPowerShortTerm> listDq);
}
